package com.zjsgfa.project.zjsgfa.mapper;

import java.util.List;
import com.zjsgfa.project.zjsgfa.domain.SjJygjGdfdcs;

/**
 * 设计信息-井眼轨迹_轨道分段参数Mapper接口
 * 
 * @author
 * @date 2025-06-26
 */
public interface SjJygjGdfdcsMapper 
{
    /**
     * 查询设计信息-井眼轨迹_轨道分段参数
     * 
     * @param id 设计信息-井眼轨迹_轨道分段参数主键
     * @return 设计信息-井眼轨迹_轨道分段参数
     */
    public SjJygjGdfdcs selectSjJygjGdfdcsById(Long id);

    /**
     * 查询设计信息-井眼轨迹_轨道分段参数列表
     * 
     * @param sjJygjGdfdcs 设计信息-井眼轨迹_轨道分段参数
     * @return 设计信息-井眼轨迹_轨道分段参数集合
     */
    public List<SjJygjGdfdcs> selectSjJygjGdfdcsList(SjJygjGdfdcs sjJygjGdfdcs);

    /**
     * 新增设计信息-井眼轨迹_轨道分段参数
     * 
     * @param sjJygjGdfdcs 设计信息-井眼轨迹_轨道分段参数
     * @return 结果
     */
    public int insertSjJygjGdfdcs(SjJygjGdfdcs sjJygjGdfdcs);

    /**
     * 修改设计信息-井眼轨迹_轨道分段参数
     * 
     * @param sjJygjGdfdcs 设计信息-井眼轨迹_轨道分段参数
     * @return 结果
     */
    public int updateSjJygjGdfdcs(SjJygjGdfdcs sjJygjGdfdcs);

    /**
     * 删除设计信息-井眼轨迹_轨道分段参数
     * 
     * @param id 设计信息-井眼轨迹_轨道分段参数主键
     * @return 结果
     */
    public int deleteSjJygjGdfdcsById(Long id);

    /**
     * 批量删除设计信息-井眼轨迹_轨道分段参数
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSjJygjGdfdcsByIds(Long[] ids);

    int deleteSjJygjGdfdcsByJh(String jh);

    int insertSjJygjGdfdcsBatch(List<SjJygjGdfdcs> sjJygjGdfdcsList);


}
